# ibm_sa_host – Adds hosts to or removes them from IBM Spectrum Accelerate Family storage systems

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module adds hosts to or removes them from IBM Spectrum Accelerate Family storage systems.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- pyxcli

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster - |  | The name of the cluster to include the host.
domain - |  | The domains the cluster will be attached to. To include more than one domain, separate domain names with commas. To include all existing domains, use an asterisk ("*").
endpoints string / required |  | The hostname or management IP of Spectrum Accelerate storage system.
host - / required |  | Host name.
iscsi_chap_name - |  | The host's CHAP name identifier
iscsi_chap_secret - |  | The password of the initiator used to authenticate to the system when CHAP is enable
password string / required |  | Password for username on the spectrum accelerate storage system.

state
- / required

Choices:
- present ←
- absent

Host state.

username string / required |  | Management user on the spectrum accelerate storage system.

## Notes

Note

- This module requires pyxcli python library. Use ‘pip install pyxcli’ in order to get pyxcli.

## Examples

    - name: Define new host.
      ibm_sa_host:
        host: host_name
        state: present
        username: admin
        password: secret
        endpoints: hostdev-system

    - name: Delete host.
      ibm_sa_host:
        host: host_name
        state: absent
        username: admin
        password: secret
        endpoints: hostdev-system

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Tzur Eliyahu (@tzure)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.